#
# spec file for package sitescooper (Version 3.1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sitescooper
Copyright:    GPL and Artistic license
Group:        Applications/Internet
Requires: perl
Autoreqprov:  on
Version:      3.1.2
Release:      33
Source0:      http://sitescooper.org/released/%{name}-%{version}.tar.bz2
Source1:      makedoc7.cpp 
Patch0:       %{name}-%{version}-makefile.patch
URL:          http://sitescooper.org/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Convert websites for reading on a Palm

%description
Sitescooper automatically retrieves the stories from several news websites,
trims off extraneous HTML, and converts them into formats you can read on your
Palm computing device later, on-the-move.  Even if you don't have a Palm
handheld, it's still handy for simple website-to-text conversion.
Sitescooper requires perl to be installed. This RPM now includes the full set
of modules required to run, but you will need to install the
"sitescooper-sites" RPM for any sites to be available.

Authors:
--------
    Justin Mason <jm@jmason.org>

SuSE series: ap

%package -n sitescooper-makedoc
Copyright: Freeware
Version:      0.7
Release:      102
Group:   Applications/Text
Summary:      Prepare text file for PilotDOC reader

%description -n sitescooper-makedoc
Compresses text files into a format that is ready to export to a Pilot
and work with Rick Bram's PilotDOC reader.

SuSE series: ap

%prep
%setup
%patch0
cp -v  %{S:1}  makedoc.cpp

%build
%{suse_update_config}
g++  -o makedoc makedoc.cpp  -DUNIX

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755  makedoc $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc	README.txt CHANGES.txt OLD_CHANGES.txt
%doc	doc/*
%config	/etc/sitescooper.cf
/usr/bin/sitescooper
/usr/bin/rss-to-site
/usr/bin/subs-to-site
/usr/share/man/man1/sitescooper.1*
/usr/share/man/man1/rss-to-site.1*
/usr/share/man/man1/subs-to-site.1*
/usr/share/lib/sitescooper/site_perl/
/usr/share/lib/sitescooper/lib/
/usr/share/lib/sitescooper/default_templates.html
/usr/share/lib/sitescooper/profile_samples/
/usr/share/lib/sitescooper/site_samples/

%files -n sitescooper-makedoc
/usr/bin/makedoc

%changelog -n sitescooper
* Thu Aug 09 2001 - adostal@suse.cz
- update to version 3.1.2
- create makefile patch and fix spec file
* Mon Feb 12 2001 - pblaha@suse.cz
- create this package for get web documents on Palm
